// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

import './assets/css/reset.css'  // 引入公共样式

import h5Popup from 'vue-h5-popup' // 引入弹窗
Vue.use(h5Popup)


// import MintUI from 'mint-ui'
// import 'mint-ui/lib/style.css'
// Vue.use(MintUI)  // 引入MintUI


import 'mint-ui/lib/style.css'
import { MessageBox } from 'mint-ui'
// Vue.use(MessageBox)
Vue.prototype.$msgbox = MessageBox

//全局设置的基本样式
import './assets/css/base.scss'


import moment from 'moment'
// 设置本地时区
moment.locale('zh-cn')
Vue.prototype.$moment = moment


import utils from './utils/utils' // 工具类
Vue.prototype.$utils = utils

import Mint from 'mint-ui';
import 'mint-ui/lib/style.css'
Vue.use(Mint);


import 'swiper/dist/css/swiper.min.css' // 轮播
import 'swiper/dist/js/swiper.min'

import vueFilter from './utils/filters'  // 公共filter
for (let key in vueFilter){
  Vue.filter(key,vueFilter[key])
}

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
